test:
    image: python:3.8-slim
    script:
        - python3 -m ebpfcat.ebpf_test -v Tests && python3 -m ebpfcat.ethercat_test -v

docs:
    image: tk0miya/sphinx-html
    script:
        - python3 setup.py install --user
        - sphinx-build -b html -d _build/doctrees . _build/html
        - eval $(ssh-agent)
        - echo "$SSHKEY" | ssh-add -
        - ssh -o UserKnownHostsFile=known_hosts wp86team@exflqr30526 "./doc-prepare ec_$CI_COMMIT_REF_NAME"
        - scp -o UserKnownHostsFile=known_hosts -r _build/html wp86team@exflqr30526:html/ec_$CI_COMMIT_REF_NAME
